jQuery(document).ready(function($) {
    var WC_Freightview_ID = '#woocommerce_WC_Freightview';
    var $origin_type = $(WC_Freightview_ID + "_origin_type");
    var $origin_liftgate = $(WC_Freightview_ID + "_origin_liftgate");
    var $origin_liftgate_tr = $origin_liftgate.parents('tr');
    var $origin_inside = $(WC_Freightview_ID + "_origin_inside");
    var $origin_inside_tr = $origin_inside.parents('tr');
    var $customer_selects_accessorials = $(WC_Freightview_ID + "_customer_selects_accessorials");
    var $dest_type = $(WC_Freightview_ID + "_destination_type");
    var $dest_type_tr = $dest_type.parents('tr');
    var $destination_liftgate = $(WC_Freightview_ID + "_destination_liftgate");
    var $destination_liftgate_tr = $destination_liftgate.parents('tr');
    var $destination_inside = $(WC_Freightview_ID + "_destination_inside");
    var $destination_inside_tr = $destination_inside.parents('tr');

    $customer_selects_accessorials.on('click', toggle_customer_selects_accessorials);
    toggle_customer_selects_accessorials();

    function toggle_customer_selects_accessorials() {
        var checked = $customer_selects_accessorials.is(":checked");
        $dest_type.trigger('change');
        if (checked) {
            $dest_type_tr.hide();
            $destination_liftgate_tr.hide();
            $destination_inside_tr.hide();
        }
        else {
            $dest_type_tr.show();
            $destination_liftgate_tr.show();
            $destination_inside_tr.show();
        }
    }


    var $origin_fv_type = $("#fv_test_originType");
    var $origin_fv_liftgate = $("#fv_test_origin_liftgate");
    var $origin_fv_liftgate_tr = $origin_fv_liftgate.parents('tr');
    var $origin_fv_inside = $("#fv_test_origin_inside");
    var $origin_fv_inside_tr = $origin_fv_inside.parents('tr');

    var $dest_fv_type = $("#fv_test_destType");
    var $dest_fv_liftgate = $("#fv_test_destination_liftgate");
    var $dest_fv_liftgate_tr = $dest_fv_liftgate.parents('tr');
    var $dest_fv_inside = $("#fv_test_destination_inside");
    var $dest_fv_inside_tr = $dest_fv_inside.parents('tr');

    $origin_type.on('change', check_pickup_options.bind($origin_type,
        $origin_liftgate, $origin_liftgate_tr, $origin_inside, $origin_inside_tr)).trigger('change');

    $dest_type.on('change', check_pickup_options.bind($dest_type,
        $destination_liftgate, $destination_liftgate_tr, $destination_inside, $destination_inside_tr)).trigger('change');

    $origin_fv_type.on('change', check_pickup_options.bind(
        $origin_fv_type, $origin_fv_liftgate, $origin_fv_liftgate_tr, $origin_fv_inside, $origin_fv_inside_tr
    )).trigger('change');

    $dest_fv_type.on('change', check_pickup_options.bind(
        $dest_fv_type, $dest_fv_liftgate, $dest_fv_liftgate_tr, $dest_fv_inside, $dest_fv_inside_tr
    )).trigger('change');

    function check_pickup_options($liftgate, $liftgate_tr, $inside, $inside_tr) {
        if ($customer_selects_accessorials.is(":checked")) {
            $dest_type_tr.hide();
            $destination_liftgate_tr.hide();
            $destination_inside_tr.hide();
            return;
        }
        switch ($(this).val()) {
            case 'business dock':
            case 'trade show':
                $liftgate_tr.css({
                    display: 'none'
                });
                $liftgate.prop('checked', false);
                $inside_tr.css({
                    display: 'none'
                });
                $inside.prop('checked', false);
                break;
            case 'construction':
                $liftgate_tr.css({
                    display: 'table-row'
                });
                $inside_tr.css({
                    display: 'none'
                });
                $inside.prop('checked', false);
                break;
            default:
                $liftgate_tr.css({
                    display: 'table-row'
                });
                $inside_tr.css({
                    display: 'table-row'
                });
        }
    }
});